$tile-sizer: 1rem
.tile
  &.is-ancestor
    margin-bottom: 0
    margin-top: 0
    &:last-child
      margin-bottom: 0
      margin-top: 0
  &.has-padding
    justify-content: space-between
    padding: $tile-sizer/2
    margin: 0
    > .tile
      margin: $tile-sizer
  &.hover-tile
    +mobile
      height: auto !important
  &:not(.is-child)
    display: flex
    @for $i from 1 through 12
      &.is-#{$i}
        flex: none
        width: ($i / 12) * 100%


.hover-tile
  position: relative
  overflow: hidden
  &.multi-column-tile
    height: 50vw
    width: 50vw
    // Fix for random border appearing
    margin-bottom: -1px
  &:hover
    .hover-tile-bg
      opacity: 0.8
      transform: scale(1.02)
      filter: greyscale(90%)
    h2
      letter-spacing: 0.2em
  &-body
    align-items: center
    display: flex
    height: 100%
    justify-content: center
    left: 0
    position: absolute
    top: 0
    width: 100%
    z-index: 2
    &-inner
      text-align: center
  &-bg
    +trans
    height: 100%
    object-fit: cover
    position: relative
    width: 100%
    z-index: 1
  h2
    +trans
    margin: 0
